if(typeof(plugin) == "undefined"){
    var plugin = {};
}

plugin.ringMiddleware = {};

/**
 * 启动
 */
plugin.ringMiddleware.start = function(){
   if(typeof(RING_MIDDLEWARE) == "undefined"){
       alert("设备不支持指环王。");
   }else{
       RING_MIDDLEWARE.start();
   }
};

/**
 * 停止
 */
plugin.ringMiddleware.stop = function(){
   if(typeof(RING_MIDDLEWARE) == "undefined"){
       alert("设备不支持指环王。");
   }else{
       RING_MIDDLEWARE.stop();
   }
};

/**
 * 读取事件，js中需要覆盖该事件
 */
plugin.ringMiddleware.scanEvent = function (barCode){
    alert("读取到条码:" + barCode);
}